Bug 59265 - Exchange 10 server requires X-MS-PolicyKey: 0
Summary: Exchange 10 server requires X-MS-PolicyKey: 0
Status: RESOLVED FIXED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: ActiveSync (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-12 00:34 UTC by Graham Cobb
Modified: 2013-02-26 14:03 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Force X-MS-PolicyKey: 0 (525 bytes, text/plain)
2013-01-12 00:34 UTC, Graham Cobb
Details
Same patch in git format-patch format (1.04 KB, patch)
2013-02-04 23:01 UTC, Graham Cobb
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Cobb 2013-01-12 00:34:19 UTC
Created attachment 72882 [details]
Force X-MS-PolicyKey: 0

When using activesyncd to access my employer's Exchange server, I received a 403 error on the first command.  Note that this was not a username/password error (that gives error 401).

The problem was fixed by including X-MS-PolicyKey: 0 in the request header (which triggered provisioning).

A patch to eas-connection.c is attached.
Comment 1 Graham Cobb 2013-02-04 23:01:47 UTC
Created attachment 74201 [details] [review]
Same patch in git format-patch format

Just in case this format (with commit message) is more convenient
Comment 2 Patrick Ohly 2013-02-26 14:03:25 UTC
I've merged this into activesyncd master,


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.